Get available properties
curl --request GET \
--url https://b.anny.co/api/v1/organizations/{organization_slug}/propertiesimport requests
url = "https://b.anny.co/api/v1/organizations/{organization_slug}/properties"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://b.anny.co/api/v1/organizations/{organization_slug}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "properties",
"id": "11",
"attributes": {
"label": "Barrier-free",
"icon": "wheelchair",
"value_type": "boolean",
"filterable": true,
"private": false
},
"links": {
"self": "https://b.anny.co/api/v1/properties/11"
},
"meta": {
"values": [
"1"
]
}
},
{
"type": "properties",
"id": "21",
"attributes": {
"label": "Flip-Chart",
"icon": "presentation",
"value_type": "boolean",
"filterable": true,
"private": false
},
"links": {
"self": "https://b.anny.co/api/v1/properties/21"
},
"meta": {
"values": [
"1",
"0"
]
}
},
{
"type": "properties",
"id": "22",
"attributes": {
"label": "Beamer",
"icon": "projector",
"value_type": "boolean",
"filterable": true,
"private": false
},
"links": {
"self": "https://b.anny.co/api/v1/properties/22"
},
"meta": {
"values": [
"1"
]
}
},
{
"type": "properties",
"id": "23",
"attributes": {
"label": "Capacity",
"icon": "users",
"value_type": "number",
"filterable": true,
"private": false
},
"links": {
"self": "https://b.anny.co/api/v1/properties/23"
},
"meta": {
"values": [
"10",
"6",
"12",
"4",
"1",
"15",
"2",
"100",
"30",
"7",
"5",
"8",
"20",
"76",
null,
"13",
"50",
"11",
"18",
"3",
"22",
"167",
"98",
"195",
"94",
"180",
"150",
"120",
"99",
"270",
"44",
"55",
"24",
"32",
"36",
"40",
"16",
"48",
"34",
"21",
"14",
"0",
"17",
"26",
"63",
"148",
"60",
"250",
"700",
"45"
]
}
},
{
"type": "properties",
"id": "266",
"attributes": {
"label": "Floor",
"icon": "layer-group",
"value_type": "string",
"filterable": true,
"private": false
},
"links": {
"self": "https://b.anny.co/api/v1/properties/266"
},
"meta": {
"values": [
"1",
"1 / Linker Gebäudeflügel",
"EG",
"1. OG"
]
}
},
{
"type": "properties",
"id": "1622",
"attributes": {
"label": "Conference Speaker",
"icon": "phone-office",
"value_type": "boolean",
"filterable": true,
"private": true
},
"links": {
"self": "https://b.anny.co/api/v1/properties/1622"
},
"meta": {
"values": [
"0"
]
}
},
{
"type": "properties",
"id": "1623",
"attributes": {
"label": "Beamer",
"icon": "projector",
"value_type": "boolean",
"filterable": true,
"private": true
},
"links": {
"self": "https://b.anny.co/api/v1/properties/1623"
},
"meta": {
"values": [
"0"
]
}
},
{
"type": "properties",
"id": "1624",
"attributes": {
"label": "Conference Speaker",
"icon": "phone-office",
"value_type": "boolean",
"filterable": true,
"private": true
},
"links": {
"self": "https://b.anny.co/api/v1/properties/1624"
},
"meta": {
"values": [
"1"
]
}
}
]
}Resources & Services
Get available properties
This endpoint allows listing all available properties (for a given resource category).
Properties can be used to filter resources by adding the following query params to any /resources endpoint:
Comparison operator: `filter[properties][{propertyId}][o]={operator}` // operator: >=, =, <=, in
Comparison value: `filter[properties][{propertyId}][v]={value}` // value: int|string|array
GET
/
api
/
v1
/
organizations
/
{organization_slug}
/
properties
Get available properties
Pfadparameter
Abfrageparameter
Filter properties which can be assigned to a resource category
Verfügbare Optionen:
resource_properties Antwort
OK
Show child attributes
Show child attributes
⌘I